<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/play_video_rl"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <TextView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black" />

    <TextureView
        android:id="@+id/tv_video"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true" />

    <ImageView
        android:id="@+id/coverImage"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true"
        android:background="@color/black" />
    <!--音频播放-->
    <LinearLayout
        android:id="@+id/ll_audio_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/iv_audio_playing" />
    </LinearLayout>
    <!--loading-->
    <com.bokecc.vod.view.CustomLogoView
        android:id="@+id/clv_logo"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true">

        <LinearLayout
            android:id="@+id/ll_load_video"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical">

            <ProgressBar
                android:layout_width="50dp"
                android:layout_height="50dp" />

            <TextView
                android:id="@+id/tv_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="加载中..."
                android:textColor="@color/white"
                android:textSize="16sp" />

        </LinearLayout>
    </com.bokecc.vod.view.CustomLogoView>

    <FrameLayout
        android:id="@+id/custom_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />
    <!--字幕-->
    <com.bokecc.vod.view.SubtitleView
        android:id="@+id/sv_subtitle"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true">

    </com.bokecc.vod.view.SubtitleView>
    <!--试看提示-->
    <TextView
        android:id="@+id/tv_watch_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/ll_progress_and_fullscreen"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="15dp"
        android:layout_marginBottom="50dp"
        android:background="@drawable/watch_tip_bg"
        android:paddingLeft="10dp"
        android:paddingTop="5dp"
        android:paddingRight="10dp"
        android:paddingBottom="5dp"
        android:textColor="@color/white"
        android:textSize="15sp"
        android:visibility="gone" />
    <!--试看结束提示-->
    <LinearLayout
        android:id="@+id/ll_pre_watch_over"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/half_black"
        android:gravity="center"
        android:orientation="vertical"
        android:padding="40dp"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_pre_watch_over"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/white"
            android:textSize="15sp" />

        <LinearLayout
            android:id="@+id/ll_rewatch"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:scaleType="fitXY"
                android:src="@drawable/iv_rewatch" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:text="重新试看"
                android:textColor="@color/white"
                android:textSize="15sp" />

        </LinearLayout>

    </LinearLayout>
    <!--播放出错-->
    <LinearLayout
        android:id="@+id/ll_play_error"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_error_info"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="播放出错"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/tv_operation"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:background="@drawable/orange_corner_bac"
            android:paddingLeft="10dp"
            android:paddingTop="5dp"
            android:paddingRight="10dp"
            android:paddingBottom="5dp"
            android:text="重试"
            android:textColor="@color/white"
            android:textSize="15sp" />

    </LinearLayout>
    <!--顶部控制器-->
    <LinearLayout
        android:id="@+id/ll_title_and_audio"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/play_ope_bac_color"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:visibility="invisible">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:layout_marginStart="15dp"
            android:src="@mipmap/iv_back_white" />

        <TextView
            android:id="@+id/tv_video_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:ellipsize="end"
            android:singleLine="true"
            android:textColor="@android:color/white"
            android:textSize="14sp" />

        <ImageView
            android:id="@+id/iv_small_window_play"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginStart="10dp"
            android:src="@mipmap/iv_portrait_small_window_play"
            android:visibility="gone" />
        <ImageView
            android:id="@+id/iv_portrait_projection"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginStart="10dp"
            android:src="@mipmap/iv_portrait_projection" />
        <ImageView
            android:id="@+id/iv_switch_to_audio"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="15dp"
            android:src="@mipmap/iv_audio_mode" />

        <ImageView
            android:id="@+id/iv_more_settings"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginStart="60dp"
            android:layout_marginEnd="15dp"
            android:src="@mipmap/iv_more_settings"
            android:visibility="gone" />

    </LinearLayout>
    <!--底部控制器-->
    <LinearLayout
        android:id="@+id/ll_progress_and_fullscreen"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@color/play_ope_bac_color"
        android:gravity="center_vertical"
        android:orientation="vertical"
        android:paddingLeft="8dp"
        android:paddingRight="8dp"
        android:visibility="invisible">

        <LinearLayout
            android:id="@+id/ll_landscape_progress"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                android:id="@+id/tv_current_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:minWidth="40dp"
                android:text="00:00"
                android:textColor="@color/white"
                android:textSize="14sp" />

            <com.bokecc.vod.view.HotspotSeekBar
                android:id="@+id/sb_progress"
                android:layout_width="0dp"
                android:layout_height="20dp"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/tv_video_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/gray"
                android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/iv_play_pause"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_marginEnd="10dp" />

            <ImageView
                android:id="@+id/iv_next_video"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_marginEnd="10dp"
                android:src="@mipmap/iv_next"
                android:visibility="gone" />

            <LinearLayout
                android:id="@+id/ll_portrait_progress"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="95dp"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_portrait_current_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="00:00"
                        android:textColor="@color/white"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="/"
                        android:textColor="@color/gray"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_portrait_video_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/gray"
                        android:textSize="14sp" />

                </LinearLayout>

                <com.bokecc.vod.view.HotspotSeekBar
                    android:id="@+id/sb_portrait_progress"
                    android:layout_width="0dp"
                    android:layout_height="20dp"
                    android:layout_weight="1" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_landscape_danmu"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:id="@+id/iv_landscape_danmu_switch"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginEnd="15dp"
                    android:src="@mipmap/iv_danmu_on" />

                <LinearLayout
                    android:id="@+id/ll_landscape_danmu_set_send"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:visibility="invisible">

                    <ImageView
                        android:id="@+id/iv_landscape_danmu_set"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_marginEnd="15dp"
                        android:src="@mipmap/iv_danmu_set" />

                    <TextView
                        android:id="@+id/tv_input_danmu"
                        android:layout_width="0dp"
                        android:layout_height="30dp"
                        android:layout_marginEnd="25dp"
                        android:layout_weight="1"
                        android:background="@drawable/landscape_edit_danmu_corner_bac"
                        android:gravity="center_vertical"
                        android:hint="点我发弹幕"
                        android:paddingLeft="15dp"
                        android:paddingRight="15dp"
                        android:textColor="@color/white"
                        android:textColorHint="@color/white"
                        android:textSize="13sp" />

                </LinearLayout>

            </LinearLayout>


            <LinearLayout
                android:id="@+id/ll_speed_def_select"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="10dp"
                android:orientation="horizontal"
                android:visibility="gone">

                <TextView
                    android:id="@+id/tvKnowledge"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="知识点"
                    android:textColor="@color/white"
                    android:textSize="15sp"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/tv_play_speed"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="倍速"
                    android:textColor="@color/white"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_play_definition"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="清晰"
                    android:textColor="@color/white"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_video_select"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:text="选集"
                    android:textColor="@color/white"
                    android:textSize="15sp" />

            </LinearLayout>

            <ImageView
                android:id="@+id/iv_video_full_screen"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:src="@mipmap/iv_full_screen" />

        </LinearLayout>

    </LinearLayout>
    <!--横屏截屏+gif-->
    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_centerVertical="true"
        android:layout_marginEnd="15dp"
        android:gravity="center"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/iv_landscape_screenshot"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:src="@mipmap/iv_landscape_screenshot"
            android:visibility="gone" />

        <ImageView
            android:id="@+id/iv_create_gif"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginTop="15dp"
            android:src="@mipmap/iv_gif"
            android:visibility="invisible" />

    </LinearLayout>
    <!--横屏锁定-->
    <ImageView
        android:id="@+id/iv_lock_or_unlock"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_alignParentStart="true"
        android:layout_centerVertical="true"
        android:layout_marginStart="15dp"
        android:src="@mipmap/iv_unlock"
        android:visibility="invisible" />
    <!--竖屏截图-->
    <ImageView
        android:id="@+id/iv_portrait_screenshot"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_alignParentStart="true"
        android:layout_centerVertical="true"
        android:layout_marginStart="15dp"
        android:src="@mipmap/iv_portrait_screenshot"
        android:visibility="gone" />
    <!--音量-->
    <LinearLayout
        android:id="@+id/ll_volume"
        android:layout_width="150dp"
        android:layout_height="30dp"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="50dp"
        android:background="@drawable/volume_set_bac"
        android:gravity="center"
        android:orientation="horizontal"
        android:paddingLeft="5dp"
        android:paddingRight="5dp"
        android:visibility="gone">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="音量"
            android:textColor="@color/white"
            android:textSize="18sp" />

        <ProgressBar
            android:id="@+id/pb_volume"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="0dp"
            android:layout_height="4dp"
            android:layout_marginStart="5dp"
            android:layout_weight="1"
            android:indeterminate="false"
            android:maxHeight="4dp"
            android:minHeight="4dp"
            android:progressDrawable="@drawable/seekbar_horizontal" />

    </LinearLayout>
    <!--亮度-->
    <LinearLayout
        android:id="@+id/ll_brightness"
        android:layout_width="150dp"
        android:layout_height="30dp"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="50dp"
        android:background="@drawable/volume_set_bac"
        android:gravity="center"
        android:orientation="horizontal"
        android:paddingLeft="5dp"
        android:paddingRight="5dp"
        android:visibility="gone">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="亮度"
            android:textColor="@color/white"
            android:textSize="18sp" />

        <ProgressBar
            android:id="@+id/pb_brightness"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="0dp"
            android:layout_height="4dp"
            android:layout_marginStart="5dp"
            android:layout_weight="1"
            android:indeterminate="false"
            android:maxHeight="4dp"
            android:minHeight="4dp"
            android:progressDrawable="@drawable/seekbar_horizontal" />

    </LinearLayout>
    <!--滑动视频进度-->
    <TextView
        android:id="@+id/tv_slide_progress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="50dp"
        android:background="@drawable/volume_set_bac"
        android:paddingLeft="5dp"
        android:paddingRight="5dp"
        android:textColor="@color/orange"
        android:textSize="18sp"
        android:textStyle="bold"
        android:visibility="gone" />

</RelativeLayout>